#
# spec file for package python3-zope.event
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-zope.event
Version:        4.0.3
Release:        4.1
Summary:        Very basic event publishing system
License:        ZPL-2.1
Group:          Development/Libraries/Python
Url:            http://pypi.python.org/pypi/zope.event
Source:         https://pypi.python.org/packages/source/z/zope.event/zope.event-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python3
BuildRequires:  python3-devel
BuildRequires:  python3-distribute
BuildArch:      noarch
Provides:       python3-zope-event = %{version}
#TODO: Change back after next version update:
Obsoletes:      python3-zope-event <= %{version}

%description
An event publishing system and a very simple event-dispatching system on
which more sophisticated event dispatching systems can be built. For
example, a type-based event dispatching system that builds on zope.event
can be found in zope.component.


%prep
%setup -q -n zope.event-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
python3 setup.py test

%files
%defattr(-,root,root)
%doc COPYRIGHT.txt LICENSE.txt README.rst
%{python3_sitelib}/*

%changelog
* Thu Dec 11 2014 arun@gmx.de
- specfile:
  * updated copyright year
  * updated source location to pypi tar.gz file
  * updated Readme.txt -> Readme.rst
- update to 4.0.3:
  * Added support for Python 3.4.
  * Updated boostrap.py to version 2.2.
* Fri Mar 15 2013 speilicke@suse.com
- Rename to python3-zope.event to match usptream name
* Tue Jan 15 2013 saschpe@suse.de
- Drop the lib dir messing around, the package is noarch
* Mon Jan 14 2013 p.drouand@gmail.com
- Initial python3 support
